package com.sikey.wa04.business.domain.entity;

import lombok.*;
import lombok.experimental.Accessors;

/**
 * 用户ID
 *
 * @author luoyangwei
 */
@Data
@AllArgsConstructor
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Builder
public class UserId {
    private String id;

    @Override
    public String toString() {
        return id;
    }

    public boolean isEmpty() {
        return id == null || id.isEmpty();
    }
}
